package com.usky.backend.client;

import com.usky.backend.domain.request.DataRealTimeRequestVO;
import com.usky.backend.domain.response.DataRealTimeResponseVO;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;

@FeignClient(contextId = "deviceDataClient", value = "usky-backend")
public interface DeviceDataClient {

    @RequestMapping(value = "data")
    List<DataRealTimeResponseVO> data(@RequestParam("productCode") String productCode, @RequestParam(value = "deviceIds") List<String> deviceIds);
}
