package com.usky.backend.domain.vo;

import lombok.Data;

import java.io.Serializable;

@Data
public class DataAverageResponseVO implements Serializable {
    /**
     * 数据统计方式时间
     */
    private String dataDate;

    /**
     * 设备Id
     */
    private String deviceId;

    /**
     * 温度平均值
     */
    private String wd;

    /**
     * 湿度平均值
     */
    private String sd;

    /**
     * pm2_5平均值
     */
    private String pm2_5;

    /**
     * co2平均值
     */
    private String co2;

    /**
     * voc平均值（优就是1，良是2，差是3）
     */
    private String voc;

    /**
     * 空气质量平均值（1、优质 2、良好 3、轻度污染 4、中度污染 5、重度污染 6、严重污染）
     */
    private String quality;
}
